Subject: Re: bug#63626: [PATCH] Make forward and backward-to-word arg optional

From: dalanicolai <[email-masked]>
Date: Mon, 29 May 2023 17:24:14 +0200

I have no opinion about how this 'should work'.
I was just confused by the docstring, and I assumed from the docstring,
that the intention was for the argument to be optional like in
forward-word/line
(the docstring does not say that this command is meant for interactive use
only).

My idea was just to report this very low priority issue about the
'confusing' docstring
(and ask if maybe that argument was intended to be optional).

Here <https://emacs.stackexchange.com/a/77278/26163> is the motive for this
patch. It is used in an evil function, so I guess we could
just have used `evil-forward-WORD-begin` instead, and it is not necessary
to change
the `forward-to-word` function.